> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Document Signing Url

> Opens an in-app DocuSign signing session on a document already waiting for the caller's own signature.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-my-document-signing-url
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-document-signing-url:
    post:
      operationId: getMyDocumentSigningUrl
      summary: Get My Document Signing Url
      description: >-
        Opens an in-app DocuSign signing session on a document already waiting
        for the caller's own signature.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMyDocumentSigningUrlRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyDocumentSigningUrlResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyDocumentSigningUrlRequest:
      type: object
      properties:
        templateInstanceId:
          type: string
          format: uuid
      required:
        - templateInstanceId
    GetMyDocumentSigningUrlResponse:
      type: object
      properties:
        signingUrl:
          type: string
        roleInOrgID:
          type: string
        envelopeId:
          type: string
        templateInstanceId:
          type: string
        documentName:
          type: string
        formType:
          type:
            - string
            - 'null'
          enum:
            - W4
            - W8
            - W9
            - STATE_TAX
            - I9
            - null
      required:
        - signingUrl
        - roleInOrgID
        - envelopeId
        - templateInstanceId
        - documentName
        - formType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
